Package org.drinkless.tdlib

# Class TdApi.PageBlockPhoto

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PageBlock
org.drinkless.tdlib.TdApi.PageBlockPhoto

Enclosing class:
  `TdApi`

public static class TdApi.PageBlockPhoto extends TdApi.PageBlock
A photo.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PageBlock

  `TdApi.PageBlock.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.PageBlockCaption`
  `caption`
  Photo caption.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Photo`
  `photo`
  Photo file; may be null.
  `String`
  `url`
  URL that needs to be opened when the photo is clicked.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageBlockPhoto()`
  A photo.
  `PageBlockPhoto(TdApi.Photo photo, TdApi.PageBlockCaption caption, String url)`
  A photo.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### photo

    @Nullable public TdApi.Photo photo
    Photo file; may be null.

  - ### caption

    public TdApi.PageBlockCaption caption
    Photo caption.

  - ### url

    public String url
    URL that needs to be opened when the photo is clicked.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PageBlockPhoto

    public PageBlockPhoto()
    A photo.

  - ### PageBlockPhoto

    public PageBlockPhoto(TdApi.Photo photo, TdApi.PageBlockCaption caption, String url)
    A photo.
    Parameters:
      `photo` - Photo file; may be null.
      `caption` - Photo caption.
      `url` - URL that needs to be opened when the photo is clicked.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PageBlock`
    Returns:
      this.CONSTRUCTOR